### Hierarchy

- MasterProps

## Index

### Properties

- filterPredicate
- handlers
- imageProvider
- labelProviders
- path
- rootData
- schema
- selection
- uischema

## Properties

### filterPredicate

filterPredicate: any

- Defined in tree/TreeWithDetailRenderer.tsx:43

### handlers

handlers: object

- Defined in tree/TreeWithDetailRenderer.tsx:36

#### Type declaration

- ##### onAdd: any

- ##### Optional onRemove?: any

- ##### onSelect: any

- ##### resetSelection: any

### imageProvider

imageProvider: any

- Defined in tree/TreeWithDetailRenderer.tsx:48

### labelProviders

labelProviders: object

- Defined in tree/TreeWithDetailRenderer.tsx:44

#### Type declaration

- ##### forData: InstanceLabelProvider

- ##### forSchema: SchemaLabelProvider

### path

path: string

- Defined in tree/TreeWithDetailRenderer.tsx:32

### rootData

rootData: any

- Defined in tree/TreeWithDetailRenderer.tsx:33

### schema

schema: JsonSchema

- Defined in tree/TreeWithDetailRenderer.tsx:31

### selection

selection: any

- Defined in tree/TreeWithDetailRenderer.tsx:34

### uischema

uischema: UISchemaElement

- Defined in tree/TreeWithDetailRenderer.tsx:42

Generated using TypeDoc